import { EditorView } from "@codemirror/view";
export interface LineNumbersConfiguration {
    enabled: boolean;
}
export declare function lineNumbers(config?: LineNumbersConfiguration): import("@codemirror/state").Extension;
/**
 * Toggle line numbers
 */
export declare function applyLineNumbers(view: EditorView, enabled: boolean): void;
